@echo off

rem ********************************************************************************
rem *
rem * Modify-ADS-RAID.BAT
rem *
rem * This file calls the Microsoft ADS floppy disk creation program to send the virtual
rem * floppy disk image for RAID configuration to the floppy drive so that it can 
rem * be modified.
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * Call the msiadspt.bat file to set the ADS_PATH variable is set.
rem ********************************************************************************
call msiadspt.bat

rem ********************************************************************************
rem * Write the Virtual Disk Image To The Floppy Disk.
rem ********************************************************************************

call "%ADS_PATH%\bin\dskimage.exe" "%ADS_PATH%\tftproot\tk_raid.vfd" A:

if not ERRORLEVEL 0 goto ERROR1

rem ********************************************************************************
rem * Open the usrvars.bat file for editing.
rem ********************************************************************************

call notepad.exe A:\usrvars.bat

rem ********************************************************************************
rem * run usrvars.bat to determine if a policy file was specified
rem ********************************************************************************
call A:\usrvars.bat

if "%RD_FILE%" == "" goto DSKUPDT

rem ********************************************************************************
rem * Determine if the policy file exists on the floppy if not, create it.
rem ********************************************************************************

if exist A:\%RD_FILE% goto PLCYUPDT
echo ;* - RAID policy file %RD_FILE% > A:\%RD_FILE%

:PLCYUPDT
rem ********************************************************************************
rem * Determine if the policy file exists on the floppy if not, create it.
rem ********************************************************************************

call notepad.exe A:\%RD_FILE%


:DSKUPDT
rem ********************************************************************************
rem * Write the floppy disk back to the virtual floppy disk.
rem ********************************************************************************
echo Updating The Virtual Floppy Disk Image.

call "%ADS_PATH%\bin\dskimage.exe" A: "%ADS_PATH%\tftproot\tk_raid.vfd"

if not ERRORLEVEL 0 goto ERROR2
goto SUCCESS

:ERROR1
echo.
echo An error occurred when writing the virtual disk image to
echo the floppy disk. Make sure that the disk is in the drive
echo and it is not write protected. Also check that the path
echo to the virtual floppy disk is correct:
echo .
echo %ADS_PATH%\tftproot\

goto END


:ERROR2
echo.
echo An error occurred when writing the virtual disk image to
echo the ADS server. Make sure that the disk is in the drive
echo and that you have permissions to write to the location
echo of the ADS virtual floppy disks:
echo .
echo %ADS_PATH%\tftproot\

goto END


:SUCCESS
echo Virtual Disk Modifications Complete.


:END
pause

